Unable to find a Java Runtime Envir(JRE)

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Unable to find a Java Runtime Envir(JRE)

Michel
Hello,
    At the install, the message, I get. "Octave has the capability to call
Java libraries, but the installer was unable to find a Java Runtime
Environment (JRE) on this system. Octave will still function without JRE,
only certain specific functions will be disabled."
    First, my release of Java is 8 the update is 171 (build 1.8.0_171-b11).
This is strange that Octave does not find Java.
   Second, I live without. What these specific functions are?

Regards,

Michel




--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html


Reply | Threaded
Open this post in threaded view
|

Re: Unable to find a Java Runtime Envir(JRE)

PhilipNienhuis
Michel wrote
> Hello,
>     At the install, the message, I get. "Octave has the capability to call
> Java libraries, but the installer was unable to find a Java Runtime
> Environment (JRE) on this system. Octave will still function without JRE,
> only certain specific functions will be disabled."
>     First, my release of Java is 8 the update is 171 (build
> 1.8.0_171-b11).
> This is strange that Octave does not find Java.
>    Second, I live without. What these specific functions are?

(assuming you run windows)
Java comes in two flavors, 32-bit and 64-bit. A 64-bit Octave won't work
with a 32-bit Java.
Does that help?

Philip



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html


Reply | Threaded
Open this post in threaded view
|

Re: Unable to find a Java Runtime Envir(JRE)

Michel
Hello Philip,

   Thank you for your message.
   I checked and I am surprised. Architecture of PC was x86.
   Java is uninstalled and re-installed with:
      - architecture amd86.
      - platform is 10.
      - product is 10.0.2

  Let me know what I must do with Octave now. What change?

Regards,

Michel



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html


Reply | Threaded
Open this post in threaded view
|

Re: Unable to find a Java Runtime Envir(JRE)

Michel
I must add that at the startup now, I get the following message into the
command window:

warning:
Java version too old - you need at least Java 6 (v. 1.6.x.x)
warning:
Java version too old - you need at least Java 6 (v. 1.6.x.x)
warning: function
C:\Octave\OCTAVE~1.0\lib\octave\packages\linear-algebra-2.2.2\x86_64-w64-mingw32-api-v52\gsvd.oct
shadows a built-in fun
ction



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html